<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

include('modules/admin/fields/field/field.class.php');

$fields_additional = new fields_additional($value);

$GLOBALS['rssite']['menu'] = $value['type'];

switch($value['value'])
{
	case 'browse':
		if(isset($_GET['group_id']))    $group_id    = $fields_additional->tools->clear_int($_GET['group_id']);
        
        if (isset($group_id))
            $massiv_tree[$value['tpl']] = $fields_additional->show_all_fields($group_id);
		break;
    case 'add':
        if(isset($_GET['group_id']))     $fields['group_id']     = $fields_additional->tools->clear_int($_GET['group_id']);
        
        if(isset($_POST['group_id']))    $fields['group_id']     = $fields_additional->tools->clear_int($_POST['group_id']);
        if(isset($_POST['field_name']))  $fields['field_name']   = $fields_additional->tools->clear_string($_POST['field_name']);
        if(isset($_POST['field_alias'])) $fields['field_alias']  = $fields_additional->tools->get_translit($_POST['field_alias']);
        if(isset($_POST['field_type']))  $fields['field_type']   = $fields_additional->tools->clear_int($_POST['field_type']);
        
        if (count($fields) == 4)
            $fields_additional->add_field($fields);
        
        if (isset($fields['group_id']))
            $massiv_tree[$value['tpl']] = $fields_additional->show_add_form($fields);
		break;
    case 'edit':
        if(isset($_GET['group_id']))    $fields['group_id']     = $fields_additional->tools->clear_int($_GET['group_id']);
        if(isset($_GET['field_id']))    $fields['field_id']     = $fields_additional->tools->clear_int($_GET['field_id']);
        
        if(isset($_POST['group_id']))    $fields['group_id']     = $fields_additional->tools->clear_int($_POST['group_id']);
        if(isset($_POST['field_id']))    $fields['field_id']     = $fields_additional->tools->clear_int($_POST['field_id']);
        if(isset($_POST['field_name']))  $fields['field_name']   = $fields_additional->tools->clear_string($_POST['field_name']);
        if(isset($_POST['field_alias'])) $fields['field_alias']  = $fields_additional->tools->get_translit($_POST['field_alias']);
        if(isset($_POST['field_type']))  $fields['field_type']   = $fields_additional->tools->clear_int($_POST['field_type']);        

        if (count($fields) == 5)
            $fields_additional->edit_field($fields);
        
        if (isset($fields['group_id']) AND isset($fields['field_id']))
            $massiv_tree[$value['tpl']] = $fields_additional->show_edit_form($fields);        
        break;
    case 'delete':
        if(isset($_GET['field_id']))    $field_id = $fields_additional->tools->clear_int($_GET['field_id']);
        
        if (isset($field_id))
            $fields_additional->delete_field($field_id);
        break;
	case 'position':
		if (isset($_GET['field_id']))    $field_id		 = $fields_additional->tools->clear_int($_GET['field_id']);
		if (isset($_GET['step']))        $step           = $fields_additional->tools->clear_string($_GET['step']);
		
		if (!isset($field_id) OR !isset($step))
			die();
			
		if ($step != 'up' AND $step != 'down')
			die();
		
		$fields_additional->change_position($field_id, $step);
		
		break;
}
?>