<?
if(!defined('RS-SITE')) die();

class modul extends core
{
	/*инициализация объектов для работы данного класса*/
	public function modul($value)
	{
		$this->core();
        $this->page = (isset($_GET['page'])) ? $this->tools->clear_int($_GET['page']) : 1;
        $this->rc   = $value['rc'];
	}
    
    /* CASE : BROWSE */
    
    public function show_form_browse()
    {
        $param = array(
            'modul'    => 'modules',// вообще это имя таблицы без приставки rs_
            'rc'       => $this->rc,
            'page'     => $this->page
        );        
        
        $navigation = $this->navigation->set_navigation($param);
        
        $sql = ""
            ."SELECT"
                ." modules.modul_id     AS modul_id,"
                ." modules.modul_name   AS modul_name,"
                
                ." ("
                    ." SELECT"
                        ." COUNT(connect.connect_id)"                
                    ." FROM"                
                        ." rs_connect_modules connect"                
                    ." WHERE"                
                        ." connect.modul_id = modules.modul_id"                
                .")    AS connect_count"
                
            ." FROM"
                ." rs_modules modules"
            ." ORDER BY modules.modul_name"
            ." LIMIT ".$navigation['navigation']['rc']." OFFSET ".$navigation['navigation']['offset'];

        if (!$modules = $this->db->accept_select($sql))
            return FALSE;
        
        foreach ($modules as $key => $modul)
            $modules[$key]['info'] = $this->getInfo($modul['modul_name']);
        
        return array('modules' => $modules, 'navigation' => $navigation['navigation']);
    }
    
    private function getInfo($modul_name)
    {
        $info = array();
        
        $dir = $_SERVER['DOCUMENT_ROOT'].'/modules/'.(str_replace('.', '/', $modul_name)).'/info.xml';

        if (!file_exists($dir))
            return $info;
            
        $xml = simplexml_load_file($dir);

        //вытаскиваем описание
        $info['description']  = $xml->description;
        $info['version']      = $xml->version;
        
        //вытаскиваем переменные
        foreach ($xml->variables as $variables)
            foreach ($variables->variable as $variable)
                $info['variable'][] = array(
                    'name'           => $variable->name,
                    'description'    => $variable->description
                );
            
        return $info;
    }
    
    /* CASE : ADD */
    
    public function add_modul($modul_name)
    {
        $sql = "SELECT modul_id FROM rs_modules WHERE modul_name='".$modul_name."'";
        
        if ($modul = $this->db->accept_select($sql))
            return FALSE;
        
        $what = array(
            'modul_name'    => $modul_name
        );
            
        $this->db->accept_insert($what, 'rs_modules');
        
        $this->tools->move_to('/admin/modules/');
    }
    
    /* CASE : EDIT */
    
    public function show_form_edit($modul_id)
    {
        $sql = "SELECT * FROM rs_modules WHERE modul_id='".$modul_id."'";
        
        if (!$modul = $this->db->accept_select($sql))
            return FALSE; 
            
        return $modul[0];       
    }
    
    public function edit_modul($fields)
    {
        $sql = "SELECT * FROM rs_modules WHERE modul_id='".$fields['modul_id']."'";
        
        if ($modul = $this->db->accept_select($sql))
        {
          $modul = $modul[0];
          
          if ($modul['modul_name'] != $fields['modul_name'])
          {
              $sql = "SELECT * FROM rs_modules WHERE modul_name='".$fields['modul_name']."'";
              
              if (!$modul_name = $this->db->accept_select($sql))
                  $this->db->accept_update(array('modul_name' => $fields['modul_name']), 'rs_modules', "modul_id='".$fields['modul_id']."'");
          }
        }
        
        $this->tools->move_to('/admin/modules/');
    }
    
    /* CASE : DELETE */
    
    public function delete_modul($modul_id)
    {
        $sql = "DELETE FROM rs_modules WHERE modul_id='".$modul_id."'";
        
        $this->db->accept_delete($sql);
        
        die();
    }
}
?>