<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include('modules/admin/tree/tree/tree.class.php');

$treeEdit = new treeEdit();

switch ($value['value'])
{
    case 'add':
        if (isset($_GET['map_id']))           $map_parent              = $treeEdit->tools->clear_int($_GET['map_id']);
        
        if (isset($_POST['map_alias']))       $fields['map_alias']     = $treeEdit->tools->get_translit($_POST['map_alias']);
        if (isset($_POST['map_name']))        $fields['map_name']      = $treeEdit->tools->clear_string($_POST['map_name']);
        if (isset($_POST['map_parent']))      $fields['map_parent']    = $treeEdit->tools->clear_int($_POST['map_parent']);
        if (isset($_POST['map_tree_type']))   $fields['map_tree_type'] = $treeEdit->tools->clear_string($_POST['map_tree_type']);
        
        if (count($fields) == 4)
            $treeEdit->add_tree($fields);
        
        if (isset($map_parent))
            $massiv_tree[$value['tpl']] = $treeEdit->show_form_add($map_parent);
        break;
    case 'edit':
        if (isset($_GET['map_id']))            $map_id                  = $treeEdit->tools->clear_int($_GET['map_id']);
        
        if (isset($_POST['map_alias']))        $fields['map_alias']     = $treeEdit->tools->get_translit($_POST['map_alias']);
        if (isset($_POST['map_name']))         $fields['map_name']      = $treeEdit->tools->clear_string($_POST['map_name']);
        if (isset($_POST['map_id']))           $fields['map_id']        = $treeEdit->tools->clear_int($_POST['map_id']);
        if (isset($_POST['map_tree_type']))    $fields['map_tree_type'] = $treeEdit->tools->clear_string($_POST['map_tree_type']);

        if (count($fields) == 4)
            $treeEdit->edit_tree($fields);
        
        if (isset($map_id))
            $massiv_tree[$value['tpl']] = $treeEdit->show_form_edit($map_id);        
        break;
    case 'delete':
        if (isset($_POST['del']))    $map_id = $treeEdit->tools->clear_int($_POST['del']);
        
        if (isset($map_id))
            $treeEdit->del_tree($map_id);
        
        break;
}
?>