<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

function tpl_text($data) {
    $navigation = $data['content.browse']['default']['navigation'];
    $filter     = $data['content.browse']['default']['filter'];
?>
<script>

	function delete_content(del, step)
	{
		if (step == 0)
		{
			if (confirm("Вы уверены, что хотите удалить запись?"))
				delete_content(del, 1);
		}
		
		if (step == 1)
		{
			var type = "<?=$data['content.browse']['default']['type']?>";
            
            $.get('/admin/'+ type +'/delete/', { del: del }, function ()
			{
				$('#content_tree').load('/admin/'+ type +'/?page=<?=$navigation['page']?> #content');
			});
		}
	}

  function set_filter()
  {
      var start    = $('#sy').val()+'-'+$('#sm').val()+'-'+$('#sd').val();
      var end      = $('#ey').val()+'-'+$('#em').val()+'-'+$('#ed').val();
      var status   = $('#s').val();
      var author   = $('#a').val();
      var title    = $('#t').val();
      
      $('#start').val(start);
      $('#end').val(end);
      $('#status').val(status);
      $('#title').val(title);
      $('#author').val(author);
      
      $('#filter').submit();
  }
  
  function clear_filter()
  {
      $('#start').val('2010-01-01');
      $('#end').val('<?=date('Y-m-d')?>');
      $('#status').val('2');
      $('#author').val('');
      $('#title').val('');
	  
	  $('#filter').submit();
  }
</script>

<? 

    $month_array = array(
        '01'    => 'Январь',
        '02'    => 'Февраль',
        '03'    => 'Март',
        '04'    => 'Апрель',
        '05'    => 'Май',
        '06'    => 'Июнь',
        '07'    => 'Июль',
        '08'    => 'Август',
        '09'    => 'Сентябрь',
        '10'    => 'Октябрь',
        '11'    => 'Ноябрь',
        '12'    => 'Декабрь'
    );
 ?>

<form id="filter" action="" method="get">
<input id="start" name="start" type="hidden" value="" />
<input id="status" name="status" type="hidden" value="" />
<input id="end" name="end" type="hidden" value="" />
<input id="title" name="title" type="hidden" value="" />
<input id="author" name="author" type="hidden" value="" />
</form>

<table cellpadding="3" cellspacing="0" border="0" align="center" width="95%">
  <tr>
   <td valign="top" width="250px">
    Заголовок:&nbsp;&nbsp;
	 <input id="t" class="input_form_admin_max" placeholder="Заголовок записи" value="<?=trim($filter['title'])?>" style="width: 160px" />
   </td>
   <td valign="top">
     Автор:&nbsp;&nbsp;
	 <input id="a" class="input_form_admin_max" placeholder="Автор" value="<?=trim($filter['author'])?>" style="width: 130px" />
   </td>
   <td valign="top" align="right">
    <input onclick="set_filter();" type="button" value="Фильтровать" />
   </td>
  </tr>
  <tr>
   <td valign="top" width="250px">
     От:&nbsp;
     <select id="sd" name="" class="input_form_admin_max" style="width: 50px">
      <? for ($dd = 1; $dd <= 31; $dd++) { ?>
      <? if ($dd < 10) $d = (string)('0'.$dd);  else $d = $dd;  ?>
      <option<? if ($filter['sday'] == $dd) { ?> selected="selected"<? } ?> value="<?=$d?>"><?=$dd?></option>
      <? } ?>
     </select>
     <select id="sm" class="input_form_admin_max" style="width: 100px">
      <? foreach ($month_array as $m => $mm) { ?>
      <option<? if ($filter['smonth'] == $m) { ?> selected="selected"<? } ?> value="<?=$m?>"><?=$mm?></option>
      <? } ?>
     </select>
     <select id="sy" class="input_form_admin_max" style="width: 60px">
      <? for ($yy = date('Y'); $yy >= 2010; $yy--) { ?>
      <option<? if ($filter['syear'] == $yy) { ?> selected="selected"<? } ?> value="<?=$yy?>"><?=$yy?></option>
      <? } ?>
     </select>
   </td>
   <td valign="top">
     Статус:&nbsp;
     <select id="s" class="input_form_admin_max" style="width: 130px">
      <option<? if ($filter['status'] == 2) { ?> selected="selected"<? } ?> value="2">Все</option>
      <option<? if ($filter['status'] == 1) { ?> selected="selected"<? } ?> value="1">Опубликованные</option>
      <option<? if ($filter['status'] == 0) { ?> selected="selected"<? } ?> value="0">Не опубликованные</option>
     </select>
   </td>
   <td valign="top" align="right">
   	<input onclick="clear_filter();" type="button" value="Сбросить" />
   </td>
  </tr>
  <tr>
   <td rowspan="2">
     До:&nbsp;
     <select id="ed" class="input_form_admin_max" style="width: 50px">
      <? for ($dd = 1; $dd <= 31; $dd++) { ?>
      <? if ($dd < 10) $d = (string)('0'.$dd);  else $d = $dd;  ?>
      <option<? if ($filter['eday'] == $dd) { ?> selected="selected"<? } ?> value="<?=$d?>"><?=$dd?></option>
      <? } ?>
     </select>
     <select id="em" class="input_form_admin_max" style="width: 100px">
      <? foreach ($month_array as $m => $mm) { ?>
      <option<? if ($filter['emonth'] == $m) { ?> selected="selected"<? } ?> value="<?=$m?>"><?=$mm?></option>
      <? } ?>
     </select>
     <select id="ey" class="input_form_admin_max" style="width: 60px">
      <? for ($yy = date('Y'); $yy >= 2010; $yy--) { ?>
      <option<? if ($filter['eyear'] == $yy) { ?> selected="selected"<? } ?> value="<?=$yy?>"><?=$yy?></option>
      <? } ?>
     </select>
   </td>
   <td valign="top" width="250px">&nbsp;</td>
   <td valign="top">&nbsp;</td>
  </tr>
</table>
<br />

<div id="content_tree">
  <div id="content">

  <table class="headerWIN" width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
    <tr>
      <td width="52%" colspan="2" height="30px" valign="top" class="admin_title_table">Название записи</td>
      <td width="15%" valign="top" class="admin_title_table">Автор записи</td>
      <td width="23%" valign="top" class="admin_title_table">Категория</td>
      <td width="8%" valign="top" colspan="2" class="admin_title_table">&nbsp;</td>
      <td width="2%" valign="top" align="right" class="admin_title_table"><a href="add/"><img src="/templates/admin/img/add.png" border="0px"></a></td>
    </tr>
    <? if (!empty($data['content.browse']['default']['content'])) { ?>
      <? foreach ($data['content.browse']['default']['content'] as $content) { ?>
    <tr>
      <td width="1%" class="admin_table" align="center" valign="top"><img src="/templates/admin/img/activ_<? if ($content['mode'] == 0) { ?>off<? } else { ?>on<? } ?>.png" border="0px"></td>
      <td valign="top" class="admin_table">
          <a style="font-weight:100;" href="edit/?id=<?=$content['id']?>"><?=$content['title']?></a><br />
          <small><i>ID: <?=$content['id']?></i></small><br />
          <small><i>Псевдоним: <?=$content['catalog_alias']?></i></small>
      </td>
      <td valign="top" class="admin_table"><?=$content['login']?></td>
      <td valign="top" class="admin_table"><?=$content['catalog_name']?></td>
      <td class="admin_table" align="right" valign="top"><a style="font-weight:100;" href="<?=$GLOBALS['rssite']['cfg']['server_root']?><?if (trim($content['link']) != '') { ?><?=$content['link'].'/'?><? } ?><?=$content['alias']?>" target="_blank"><img src="/templates/admin/img/loope.png" border="0px"></a></td>
      <td class="admin_table" align="center" valign="top"><a style="font-weight:100;" href="cfg/?id=<?=$content['id']?>"><img src="/templates/admin/img/config.png" border="0px"></a></td>
      <? /* <td class="admin_table" align="center" valign="top"><a style="font-weight:100;" href="nesting/?id=<?=$content['id']?>"><img src="/templates/admin/img/file.png" border="0px"></a></td> */ ?>
      <td class="admin_table" align="center" valign="top"><a style="font-weight:100;" href="javascript: delete_content('<?=$content['id']?>','0');"><img src="/templates/admin/img/del.png" border="0px"></a></td>
    </tr>
      <? } ?>
    <? } else { ?>
    <tr>
      <td colspan="7" class="admin_table">В базе данных нет записей.</td>
    </tr>
    <? } ?>
  </table>
  <? if ($navigation['pagination'] > 1) { tpl_navigation($navigation); } ?>
  </div>
</div>
<? } ?>