<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class sendmail extends workDB
{
    // метод отправки письма
    function send()
    {
        if (preg_match("/^(.*)<(.*)>$/", $this->from, $regs))
            $this->from = '"=?UTF-8?B?'.base64_encode($regs[1]).'?=" <'.$regs[2].'>';

        if (empty($this->to))
            return FALSE;

        $this->subject = '=?UTF-8?B?'.base64_encode($this->subject).'?=';
        
        foreach ($this->to as $to)
        {
            if (preg_match("/^(.*)<(.*)>$/", $to, $regs))
                $to = '"=?UTF-8?B?'.base64_encode($regs[1]).'?=" <'.$regs[2].'>';

            $header = "MIME-Version: 1.0\n"
                . "Content-type: text/html; charset=UTF-8\n"
                . "From: ".$this->from."\r\n";

            /*if(!empty($replyto))
                $header .= "Reply-To: $replyto\n";*/

            mail($to, $this->subject, $this->message, $header);
        }
    }
    
    // метод формирования информации для отпарвки письма
    function get_param($param = array())
    {
        // обработка шаблона
        /*$param = array(
            'access'    => 'feedback',
            'user_id'    => 6,
            'parser'    => array(
                'alias'   => 'feedback',
                'msg'     => array(
                    'SITE'       => 'rio-shaman.ru',
                    'USER'       => 'Автор',
                    'EMAIL'      => 'ww@ww.ww',
                    'DATATIME'   => date('Y-m-d H:i:s'),
                    'SUBJECT'    => 'Тема',
                    'MESSAGE'    => 'Сообщение',
                    'CMS'        => CMS.' v'.VERSION
                )
            )
        );*/
        
        $parser = $param['parser'];
                
        $sql = "SELECT * FROM rs_notice WHERE notice_alias='".$parser['alias']."'";
        
        if (!$tpl = $this->accept_select($sql))
            return FALSE;
            
        $msg     = $tpl[0]['notice_message'];
        $subject = $tpl[0]['notice_subject'];
        
        // обработка темы и тела письма
        foreach ($parser['msg'] as $key => $value)
        {
            $msg     = str_replace('%'.$key.'%', $value, $msg);
            $subject = str_replace('%'.$key.'%', $value, $subject);
        }
        
        // определяем кому необходимо отправить письмо
        if (isset($param['access']))
        {
            $sql = "SELECT group_id FROM rs_access_group WHERE group_alias='".$param['access']."'";
            
            if(!$access = $this->accept_select($sql))
                return FALSE;
            
            $access = $access[0];
            
            $sql = "SELECT u.user_name as user_name, u.user_email as user_email"
                ." FROM rs_access_user a, rs_user u"
            ." WHERE 1=1"
                ." AND a.group_id='".$access['group_id']."'"
                ." AND a.user_id=u.user_id";
        }
        else
            $sql = "SELECT user_name, user_email FROM rs_user WHERE user_id = '".$param['user_id']."'";

        if (!$users = $this->accept_select($sql))
            return FALSE;
            
        
        $to = array();
        
        foreach ($users as $user)
            $to[]    = $user['user_name']." <".$user['user_email'].">";
        
        // формирование свойств
        $bot = $GLOBALS['rssite']['cfg']['mail'];
        
        $this->from         = $bot['name']." <".$bot['email'].">";
        $this->subject      = (isset($subject)) ? stripslashes($subject) : "(No subject)";
        $this->message      = stripslashes($msg);
        $this->to           = $to;
        
        $this->send();
        
        return TRUE;
    }
}
?>