<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class tpl extends core
{
    /*
     * Класс принимает информацию (массив) вот в таком виде:
     * ['имя шаблона']
     *  [0]
     *          ['код-слово'] = значение
     *          ['код-слово'] = значение
     *  [1]
     *          ['код-слово'] = [0] - древовидная структура вывода информации
     *          ['код-слово'] = значение
     *          ['код-слово'] = значение
     *                   [1]
     *          ['код-слово'] = значение
     *          ['код-слово'] = значение
     *   ['код-слово'] = значение
     */
    
    
    /*запуск шаблонизатора*/
    
    function tpl()
    {
        $this->core();
    }
    
    function include_tpl($data, $type = 'admin', $massiv = FALSE)
    {
        if (DATA === FALSE)
            $massiv = FALSE;
        
        if ($massiv == FALSE)
        {
            if (isset($data))
            {
                foreach ($data as $key => $value)
                {
                    $key = str_replace(".", "/", $key);
                    
                    if (file_exists("templates/".$type."/".$key.".tpl.php"))
                        include ("templates/".$type."/".$key.".tpl.php");   
                }
                
                include ("templates/".$type."/main.tpl.php");
            }
            else
                $this->tools->not_found();
        }
        else
        {
            echo $this->view_data($data);
            exit;
        }
    }
    
    function view_data($data)
    {
        $result = '';
        
        if (isset($data))
        {       
            foreach ($data as $key => $value)
            {
                $row = "<ul style='list-style:none;padding-left:35px;'><li>[".$key."]&nbsp;&rarr;&nbsp;";
                
                if (is_array($value))
                    $row .= $this->view_data($value);
                else
                {
                    $value = strip_tags($value);
                    $value = iconv('UTF-8','windows-1251', $value);
                    
                    if (strlen($value) > 100)
                        $value = substr($value, 0, 100)."...";
                    
                    $value = iconv('windows-1251', 'UTF-8', $value);
                    
                    $row .= $value;
                }
                    
                
                $result .= $row."</li></ul>";
            }
            
            return $result;
        }
        else
            die('Нет данных');
    }
}
?>