<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

class tag extends core
{
    /*инициализация объектов для работы данного класса*/
    function tag()
    {
        $this->core();
    }
        
    /* CASE : ADD */

    function add_tags($fields)
    {
        if (empty($fields['content_key']))
            return FALSE;
        
        $keywords = explode(',', $fields['content_key']);
        
        foreach ($keywords as $keyword)
        {
            $keyword = trim($keyword);
            
            $what = array(
                'tag_name'        => $keyword,
                'tag_alias'       => $this->tools->get_translit($keyword),
                'content_id'      => $fields['content_id']
            );
            
            $this->db->accept_insert($what, 'rs_tags');
        }
        
        return TRUE;
    }
    
    /* CASE : EDIT */
    
    function edit_tags($fields)
    {
        // собираем теги которые записаны в базу данных
        $sql = "SELECT content_key FROM rs_content WHERE content_id = '".$fields['content_id']."'";
        
        $db_tags = array();
        
        if ($db_keys = $this->db->accept_select($sql))
            if (!empty($db_keys[0]['content_key']))
                $db_tags = $this->get_tags($db_keys[0]['content_key']);
        
        // собираем присланные теги
        $tags = array();
        
        if (!empty($fields['content_key']))
            $tags = $this->get_tags($fields['content_key']);
        
        // определяем какие теги нужно добавить (массив $tags) и какие удалить (массив $db_tags)
        if (!empty($tags))
        {
            foreach ($tags as $alias => $name)
                if (isset($db_tags[$alias]))
                {
                    unset($tags[$alias]);
                    unset($db_tags[$alias]);
                }
        }

        // добаляем новые теги
        if (!empty($tags))
            foreach ($tags as $alias => $name)
            {
                $what = array(
                    'tag_name'        => $name,
                    'tag_alias'       => $alias,
                    'content_id'      => $fields['content_id']
                );

                $this->db->accept_insert($what, 'rs_tags');
            }
        
        // удаляем старые
        if (!empty($db_tags))
            foreach ($db_tags as $alias => $name)
            {
                 $sql = "DELETE FROM rs_tags WHERE tag_alias = '".$alias."' AND content_id = '".$fields['content_id']."'";
                 $this->db->accept_delete($sql);
            }
    }

    function get_tags($keywords)
    {
        $tags = array();
        
        $keywords = explode(',', $keywords);
        
        foreach ($keywords as $keyword)
        {
            $keyword = trim($keyword);
            $tags[$this->tools->get_translit($keyword)] = $keyword;
        }

        return $tags;
    }

    /* CASE : DELETE */
    
    function delete_tags($content_id)
    {
        $sql = "DELETE FROM rs_tags WHERE content_id = '".$content_id."'";
        
        $this->db->accept_delete($sql);
    }
}
?>