<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 

if(!defined('RS-SITE')) die();

include("modules/comment/comment.class.php");

// объявляем объект библиотеки
$rs_bbcode = new rs_bbcode();
$rs_bbcode->setTag('code')
          ->setTag('b')
          ->setTag('u')
          ->setTag('i')
          ->setTag('quote')
          ->setTag('url')
;

/*создаем объект*/
$comment = new comment($value);

$fields = array();

if (isset($_POST['content_id']))        $fields['content_id']       = $comment->tools->clear_int($_POST['content_id']);
if (isset($_POST['comment_parent']))    $fields['comment_parent']   = $comment->tools->clear_int($_POST['comment_parent']);
if (isset($_POST['comment_author']))    $fields['comment_author']   = $comment->tools->clear_string($_POST['comment_author']);
if (isset($_POST['comment_site']))      $fields['comment_site']     = $comment->tools->clear_string($_POST['comment_site']);
if (isset($_POST['comment_email']))     $fields['comment_email']    = $comment->tools->clear_string($_POST['comment_email']);
if (isset($_POST['comment_text']))      $fields['comment_text']     = $comment->tools->clear_string($_POST['comment_text']);
if (isset($_POST['comment_code']))      $fields['comment_code']     = $comment->tools->clear_string($_POST['comment_code']);

if (count($fields) == 7)
    $fields = $comment->add_comment($fields);

$massiv_tree[$value['tpl']]['comment'] = $comment->get_comment();
$massiv_tree[$value['tpl']]['form']    = $comment->get_form($fields);
$massiv_tree[$value['tpl']]['hidden']  = $comment->get_hidden_comment();
?>