<?php

/*
 * @package RS-SITE
 * @copyright (c) 2013 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

if(!defined('RS-SITE')) die();

//$GLOBALS['rssite']['menu'] = "content";
?>
<? function tpl_text($data) { ?>
<?
$admin          = $GLOBALS['rssite']['user'];
$users          = $data['content.add']['default'];
$additional     = $data['content.add']['additional'];
$type           = $data['content.add']['content_type'];
$tree           = $data['content.add']['tree'];
$content_id     = 0;
$paramContent   = $data['content.add']['param'];
?>
<script>
    /* ОБЩИЕ ФУНКЦИИ */

    $(document).ready(function() {
        load_nesting();
    });
    
    function load_error(errorCode) {
        
        switch (errorCode) {
            case 'nesting.empty':
                var errorName = 'Вложенности не существует';
                break;
            case 'content_id.empty':
                var errorName = 'Не найдена контент';
                break;
            case 'file.empty':
                var errorName = 'Нет загружаемого файла';
                break;
            case 'format.wrong':
                var errorName = 'Не поддерживаемый формат файла';
                break;
            case 'name.long':
                var errorName = 'Слишком длинное имя файла';
                break;
            case 'file.size':
                var errorName = 'Слишком большой размер файла';
                break;
        }
        
        var str = "Во время работы скрипта произошла следующая ошибка: '"+ errorName +"'";
        
        alert(str);
    }
    
    function load_nesting()
    {
        var type = "<?=$type?>";
        $('#nesting_block').load('/admin/'+type+'/nesting/?id=<?=$content_id?> #nesting_modul');
    }

    function start_load(win)
    {
       if (win == 'file')
       {
           if ($('#window_file').css('display') == 'block')
               $('#window_file').css({'display': 'none'});
               
           if ($('#message_window_file').css('display') == 'none')
               $('#message_window_file').css({'display': 'block'});
               
           $('#addfile').submit();
       }

       if (win == 'photo')
       {
           if ($('#window_photo').css('display') == 'block')
               $('#window_photo').css({'display': 'none'});
               
           if ($('#message_window_photo').css('display') == 'none')
               $('#message_window_photo').css({'display': 'block'});
               
           $('#addphoto').submit();
       }
    }

    function load_ready(win)
    {
       if (win == 'file')
       {
           form_file('hide');
          
           if ($('#message_window_file').css('display') == 'block')
               $('#message_window_file').css({'display': 'none'});
               
           $('#nesting_name').val('');
           $('#nesting_file').val('');
           
           var type = "<?=$type?>";
           
    	   $('#nesting_tree').load('/admin/'+type+'/nesting/?id=<?=$content_id?> #nesting', function ()
    	   {
               change_bar('1');
           });
       }
       
       if (win == 'photo')
       {
           var gallery = $("div[id*='gallery_']");
    	   var gallers = Array();
           var i       = 0;
           
           $(gallery).each(function () {
               if ($(this).hasClass('show'))
               {
                   $(this).addClass('select_gallery');
                   gallers[i] = parseInt($(".select_gallery input[type='hidden']").val());
                   $(this).removeClass('select_gallery');
                   i++;
               }
           });
           
           var type = "<?=$type?>";
           
           $('#nesting_tree').load('/admin/'+type+'/nesting/?id=<?=$content_id?> #nesting', function ()
    	   {
               for (i=0; gallers[i]; i++)
                   list_gallery(gallers[i]);
           });      
       }
    }

    function change_bar(step)
    {
        if ($('#gallery_nesting').hasClass('act'))
        { 
            $('#gallery_nesting').removeClass('act');
            $('#gallery_table').css({'display': 'none'});
        }
            
        if ($('#file_nesting').hasClass('act'))
        {
            $('#file_nesting').removeClass('act');
            $('#file_table').css({'display': 'none'});
        }
            
        if (step == 0)
        {
            var bookmark = $('#gallery_nesting');
            var win      = $('#gallery_table');
        }
        if (step == 1)
        {
            var bookmark = $('#file_nesting');
            var win      = $('#file_table');
        }
        
        bookmark.addClass('act');    
        win.css({'display': 'block'});    
    }

    /* ФУНКЦИИ ПО ОБРАБОТКИ ФАЙЛОВ */

    function delete_file(del, step)
    {
    	if (step == 0)
    	{
    		if (confirm("Вы уверены, что хотите удалить файл?"))
    			delete_file(del, 1);
    	}
    	
    	if (step == 1)
    	{
    		var type = "<?=$type?>";
            
            $.get('/admin/'+ type +'/nesting/deletefile/', { del: del }, function ()
    		{
        	   $('#nesting_tree').load('/admin/'+type+'/nesting/?id=<?=$content_id?> #nesting', function ()
        	   {
                   change_bar('1');
               });
    		});
    	}
    }

    function form_file(step)
    {
        if (step == 'show')
        {
            $('#bg_window_file').fadeTo(0 ,0.5);
            $('#window_file').css("display", "block");        
        }
        
        if (step == 'hide')
        {
            $('#bg_window_file').css("display", "none");
            $('#window_file').css("display", "none");
        }
    }

    function edit_file_form(file_id, step)
    {
        var type = "<?=$type?>";
        
        if (step == 'show')
        {
        	$('#window_edit_file').load('/admin/'+type+'/nesting/editfile/?file_id='+file_id+' #model_window', function ()
        	{				
                $('#bg_window_edit_file').fadeTo(0 ,0.5);
                $('#window_edit_file').css("display", "block");
            });
        }
        
        if (step == 'hide')
        {
            $('#bg_window_edit_file').css("display", "none");
            $('#window_edit_file').css("display", "none");
            $('#window_edit_file').html("");
        } 
    }

    function edit_file (file_id)
    {
        var type         = "<?=$type?>";
        var nesting_name = $("#model_window input[id='nesting_name']").val();
        
        $("#model_window input[type='button']").attr("disabled", "disabled");
        
        $.post('/admin/'+type+'/nesting/editfile/', {file_id: file_id, nesting_name: nesting_name}, function () {
    	   $('#nesting_tree').load('/admin/'+type+'/nesting/?id=<?=$content_id?> #nesting', function ()
    	   {
               change_bar('1');
           });    
        });
    }

    /* ФУНКЦИИ ОБРАБОТКИ ГАЛЕРЕИ */

    function add_gallery()
    {
        if ($('#window_gallery').css("display") == 'block')
           $('#window_gallery').css("display", "none");
        
        if ($('#message_window_gallery').css('display') == 'none')
           $('#message_window_gallery').css({'display': 'block'});
           
        var gallery_name = $('#gallery_name').val();
        var content_id   = <?=$content_id?>;
        var type         = "<?=$type?>";

        $('#gallery_name').val('');
        
        $.post('/admin/'+ type +'/nesting/addgallery/', {
            gallery_name: gallery_name,
            content_id  : content_id
        },
        function ()
        {
            load_ready('photo');          
        });
    }

    function form_gallery(step)
    {
        if (step == 'show')
        {
            $('#bg_window_gallery').fadeTo(0 ,0.5);
            $('#window_gallery').css("display", "block");        
        }
        
        if (step == 'hide')
        {
            $('#bg_window_gallery').css("display", "none");
            $('#window_gallery').css("display", "none");
        }
    }

    function list_gallery(gallery_id)
    {
        if ($('#gallery_'+gallery_id).hasClass('hide'))
        {
            $('#gallery_'+gallery_id).removeClass('hide').addClass('show');
            $('#gallery_list_'+gallery_id).html("<img src='/templates/admin/img/up.png' border='0px'>");
        }
        else
        {
            $('#gallery_'+gallery_id).removeClass('show').addClass('hide');
            $('#gallery_list_'+gallery_id).html("<img src='/templates/admin/img/down.png' border='0px'>");        
        }
    }

    function delete_gallery(del, step)
    {
    	if (step == 0)
    	{
    		if (confirm("Вы уверены, что хотите удалить галерею?"))
    			delete_gallery(del, 1);
    	}
    	
    	if (step == 1)
    	{
    		var type = "<?=$type?>";
            
            $.get('/admin/'+ type +'/nesting/deletegallery/', { del: del }, function ()
    		{
        	   load_ready('photo');
    		});
    	}
    }
    
    function change_position_photo(file_id, step)
    {
		var type = "<?=$type?>";
        
        $.get('/admin/'+ type +'/nesting/positionphoto/', {file_id: file_id, step: step}, function ()
		{			
				load_ready('photo');
		});
    }

    function edit_gallery_form(gallery_id, step)
    {
        var type = "<?=$type?>";
        
        if (step == 'show')
        {
        	$('#window_edit_gallery').load('/admin/'+type+'/nesting/editgallery/?gallery_id='+gallery_id+' #model_window', function ()
        	{				
                $('#bg_window_edit_gallery').fadeTo(0 ,0.5);
                $('#window_edit_gallery').css("display", "block");
            });
        }
        
        if (step == 'hide')
        {
            $('#bg_window_edit_gallery').css("display", "none");
            $('#window_edit_gallery').css("display", "none");
            $('#window_edit_gallery').html("");
        } 
    }

    function edit_gallery(gallery_id)
    {
        var type         = "<?=$type?>";
        var gallery_name = $("#model_window input[id='gallery_name']").val();
        
        $("#model_window input[type='button']").attr("disabled", "disabled");
        
        $.post('/admin/'+type+'/nesting/editgallery/', {gallery_id: gallery_id, gallery_name: gallery_name}, function () {
            load_ready('photo');
        });
    }

    /* ФУНКЦИИ ПО ОБРАБОТКИ ФОТО В ГАЛЕРЕИ */

    function form_photo(step, g)
    {
        if (step == 'show')
        {
            $("#addphoto input[type='hidden']").val(g);
            $('#bg_window_photo').fadeTo(0 ,0.5);
            $('#window_photo').css("display", "block");        
        }
        
        if (step == 'hide')
        {
            $('#bg_window_photo').css("display", "none");
            $('#window_photo').css("display", "none");
        }
    }

    function edit_photo_form(file_id, step)
    {
        var type = "<?=$type?>";
        
        if (step == 'show')
        {
        	$('#window_edit_photo').load('/admin/'+type+'/nesting/editphoto/?file_id='+file_id+' #model_window', function ()
        	{				
                $('#bg_window_edit_photo').fadeTo(0 ,0.5);
                $('#window_edit_photo').css("display", "block");
            });
        }
        
        if (step == 'hide')
        {
            $('#bg_window_edit_photo').css("display", "none");
            $('#window_edit_photo').css("display", "none");
            $('#window_edit_photo').html("");
        } 
    }

    function edit_photo(file_id)
    {
        var type         = "<?=$type?>";
        var file_name = $("#model_window input[id='photo_name']").val();
        var file_desc = $("#model_window textarea[id='photo_desc']").val();
        
        $("#model_window input[type='button']").attr("disabled", "disabled");
        
        $.post('/admin/'+type+'/nesting/editphoto/', {
            file_id: file_id,
            file_name: file_name,
            file_desc: file_desc
        }, function () {
            load_ready('photo');
        });
    }

    function delete_photo(del, step)
    {
    	if (step == 0)
    	{
    		if (confirm("Вы уверены, что хотите удалить фотографию?"))
    			delete_photo(del, 1);
    	}
    	
    	if (step == 1)
    	{
    		var type = "<?=$type?>";
            
            $.get('/admin/'+ type +'/nesting/deletephoto/', { del: del }, function ()
    		{
        	   load_ready('photo');
    		});
    	}
    }
    
    function open_new_window(url)
    {
    	windowVar=window.open(url,"", "" 
            +" width=650,"
            +" height=650,"
            +" status=no,"
            +" toolbar=no,"
            +" menubar=no,"
            +" directories=no,"
            +" location=no,"
            +" resizable=yes,"
            +" scrollbars=yes"
        );
    }
    
    <?
    if ($paramContent == 'true') {
    ?>
        $(document).ready(function() {
            
            $("select[name='content_catalog']").change(function(){
                $('#paramBlock').load('/admin/parameter/ajax/?catalog_id='+ $(this).val() +' #param');
            });
            
        });
    <?
    }
    ?>

</script>
  <table class="headerWIN" width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
    <tr>
      <td align="center" class="title_window">Добавить запись</td>
    </tr>
    <tr>
      <td valign="top" style="padding:10px;">		
        <form action="" method="post" name="form" enctype="multipart/form-data">
          <table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">
            <tr>
              <td width="100%" align="center" style="padding-bottom:25px;">
                <?
                tpl_html_editor('content_announce', ( (isset($_POST['content_announce'])) ? $_POST['content_announce'] : 'Введите анонс*'), '95%', '400px');
                ?>
              </td>
            </tr>
            <tr>
              <td width="100%" align="center">
                <?
                tpl_html_editor('content_text', ( (isset($_POST['content_text'])) ? $_POST['content_text'] : 'Введите полный текст*'), '95%', '500px');
                ?>
              </td>
            </tr>
          </table>
          <br/><br/>
          <table width="95%" cellpadding="5" cellspacing="0" border="0" align="center">
            <tr>
              <td width="100px">Заголовок</td>
              <td><input class="input_form_admin" placeholder="Название записи" name="content_name" type="text" value="<? if (isset($_POST['content_name'])) { ?><?=$_POST['content_name']?><? } ?>" /></td>
            </tr>
            <tr>
              <td>Псевдоним</td>
              <td><input class="input_form_admin" placeholder="ЧПУ" name="content_alias" type="text" value="<? if (isset($_POST['content_alias'])) { ?><?=$_POST['content_alias']?><? } ?>" /></td>
            </tr>
            <tr>
              <td>Описание</td>
              <td><input class="input_form_admin" placeholder="Описание записи" name="content_desc" type="text" value="<? if (isset($_POST['content_desc'])) { ?><?=$_POST['content_desc']?><? } ?>" /></td>
            </tr>
            <tr>
              <td>Кл. слова</td>
              <td><input class="input_form_admin" placeholder="Ключевые слова" name="content_key" type="text" value="<? if (isset($_POST['content_key'])) { ?><?=$_POST['content_key']?><? } ?>" /></td>
            </tr>
            <?
                additional_form($additional);
            ?>
	    <? if ($admin['user_access'] >= 3) { ?>
            <tr>
              <td>Автор</td>
              <td>
                <select class="input_form_admin" name="content_user">
                  <option value="<?=$admin['user_id']?>"<? if ($value['user_id'] == $_POST['content_user']) { ?> selected="selected"<? } ?>><?=$admin['user_login']?></option>
                  <? if (!empty($users)) { ?>
                    <? foreach($users as $key =>$value) { ?>
                      <? if ($value['user_id'] != $admin['user_id']) { ?>
                        <option value="<?=$value['user_id']?>"<? if ($value['user_id'] == $_POST['content_user']) { ?> selected="selected"<? } ?>><?=$value['user_login']?></option>
                      <? } ?>
                    <? } ?>
                  <? } ?>
                </select>
              </td>
            </tr>
            <? } else { ?>
              <input name="content_user" type="hidden" value="<?=$admin['user_id']?>" />
            <? } ?>
            <tr>
              <td>Категория</td>
              <td>
                <select class="input_form_admin" name="content_catalog">
                  <option value="0"<? if (0 == $_POST['content_catalog']) { ?> selected="selected"<? } ?>>Нет категории</option>
                  <? if (isset($GLOBALS['rssite']['cachecatalog'][$tree]) AND !empty($GLOBALS['rssite']['cachecatalog'][$tree])) { ?>
                  <? foreach ($GLOBALS['rssite']['cachecatalog'][$tree] as $value) { ?>
                    <? if ($value['link'] == '') { ?>
                        <option value="<?=$value['id']?>"<? if ($value['id'] == $_POST['content_catalog']) { ?> selected="selected"<? } ?>><?=$value['name']?></option>
                    <? } ?>
                  <? } ?>
                  <? } ?>
                </select>
              </td>
            </tr>
            <?
            if ($paramContent == 'true')
                param_form();
            ?>
          </table>			
          <br/><input type="submit" value="Добавить запись">
        </form>		
      </td>
    </tr>
  </table>
  <div id="nesting_block"></div>
<? }

function param_form()
{
    ?>
    <tr>
        <td valign="top">Параметры</td>
        <td>
            <div id="paramBlock">&mdash;</div>
        </td>
    </tr>
    <?
}

function additional_form($fields) { ?>
<? if (!empty($fields)) { ?>
    <input type="hidden" name="group_id" value="<?=$fields['group_id']?>" />
    <? foreach ($fields['fields'] as $key => $field) { ?>
            <tr>
              <td valign="top"><?=$field['field_name']?></td>
              <td valign="top">
               <? switch ($field['field_type']) {
                   case 0: ?>
                   <input class="input_form_admin_max" placeholder="<?=$field['field_name']?>" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 1: ?>
                   <input class="input_form_admin_max" placeholder="0" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 2: ?>
                   <input class="input_form_admin_max" placeholder="0.00" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 3: ?>
                   <input class="input_form_admin_max" placeholder="0.00" type="text" name="addition[<?=$field['field_id']?>]" value="<?=$field['field_value']?>" />
                 <? break;
                   case 4: ?>
                   <textarea style="width:99%;height:150px;font-family:verdana;font-size:11px;" name="addition[<?=$field['field_id']?>]" rows="10"><?=$field['field_value']?></textarea>
                 <? break;
                   case 5: ?>
                   <select class="input_form_admin_max" value="<?=$field['field_value']?>" name="addition[<?=$field['field_id']?>]">
                   <? foreach ($field['option'] as $option) { ?>
                     <option<? if ($field['field_value'] == $option['option_id']) { ?> selected="selected"<? } ?> value="<?=$option['option_id']?>"><?=$option['option_value']?></option>
                   <? } ?>
                   </select>
                 <? break;
                   case 6: ?>
                   <input class="input_form_admin_max" placeholder="<?=$field['field_name']?>" type="file" name="file[<?=$field['field_id']?>]" value="" />
                   <input type="hidden" name="addition[<?=$field['field_id']?>]" value="add" />
                 <? break;
                   case 7: ?>
                   <input class="input_form_admin_max" placeholder="<?=$field['field_name']?>" type="text" name="addition[<?=$field['field_id']?>]" value="<? if (trim($field['field_value']) != '') { ?><?=$field['field_value']?><? } else { ?><?=date('Y-m-d H:i:s')?><? } ?>" />
                 <? break;
                   case 8:
                   tpl_html_editor('addition['.$field['field_id'].']', $field['field_value'], '99%', '400px');
                   break;
                 } ?>
              </td>
            </tr>
    
    <? }
    }
 } ?>